## libzonemaster-perl 8.0.0

=== share/Makefile ===
# This is a wrapper for BSD Make (FreeBSD) to execute
# GNU Make (gmake) and the primary makefile GNUmakefile.

GNUMAKE ?= gmake
FILES != ls *

# File targets should be evaluated by gmake.
.PHONY: all $(FILES)

all:
	@${GNUMAKE} $@

.DEFAULT:
	@${GNUMAKE} $@

## libzonemaster-perl 1.0.16

=== debian/changelog ===
libzonemaster-perl (1.0.16-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Wed, 06 Jan 2021 18:08:26 +0100

libzonemaster-perl (1.0.16-2) unstable; urgency=medium

  * Drop the unneeded dependency on Net::IP::XS

 -- Ondřej Surý <ondrej@debian.org>  Fri, 23 Jun 2017 09:52:59 +0200

libzonemaster-perl (1.0.16-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 1.0.16
  * debian/copyright: Update years.

 -- Angel Abad <angel@debian.org>  Sat, 17 Dec 2016 11:29:30 +0100

libzonemaster-perl (1.0.15-2) unstable; urgency=medium

  * Team upload.
  * Make package autopkgtest-able.
    Add debian/tests/pkg-perl/syntax-skip with a syntactically challenged
    module. (Closes: #845374)

 -- gregor herrmann <gregoa@debian.org>  Tue, 22 Nov 2016 23:21:29 +0100

libzonemaster-perl (1.0.15-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Surý ]
  * debian/control: Added: Vcs-Git field (source stanza); Vcs-Browser
    field (source stanza).

  [ Angel Abad ]
  * Import upstream version 1.0.15
  * debian/copyright: Update years.
  * debian/control:
    - Add libnet-ip-perl to {Build-}Depends.
    - Update versioned (build) dependencies.
  * Mark package as autopkgtest-able.
  * debian/patches/0002-fix-spelling-errors.patch: Fix spelling errors.

 -- Angel Abad <angel@debian.org>  Fri, 11 Nov 2016 17:12:11 +0100

libzonemaster-perl (1.0.14-2) unstable; urgency=medium

  * Export TEST_NO_NETWORK=1 instead of ignoring test results
  * Disable broken test on line 51 in t/old-bugs.t

 -- Ondřej Surý <ondrej@debian.org>  Thu, 08 Sep 2016 15:58:55 +0200

libzonemaster-perl (1.0.14-1) unstable; urgency=low

  * Initial Release.

 -- Ondřej Surý <ondrej@debian.org>  Thu, 08 Sep 2016 14:59:41 +0200

=== debian/control ===
Source: libzonemaster-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: libfile-sharedir-perl,
                     libfile-slurp-perl,
                     libhash-merge-perl,
                     libintl-perl,
                     libio-socket-inet6-perl,
                     libjson-perl,
                     libjson-xs-perl,
                     liblist-moreutils-perl,
                     libmail-rfc822-address-perl,
                     libmodule-find-perl,
                     libmoose-perl,
                     libnet-ip-perl,
                     libnet-ldns-perl,
                     libreadonly-perl,
                     libtest-fatal-perl,
                     perl (>= 5.15.2)
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/libzonemaster-perl.git
Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/libzonemaster-perl.git
Homepage: https://zonemaster.net/

Package: libzonemaster-perl
Architecture: all
Depends: libfile-sharedir-perl,
         libfile-slurp-perl,
         libhash-merge-perl,
         libintl-perl,
         libio-socket-inet6-perl,
         libjson-perl,
         liblist-moreutils-perl,
         libmail-rfc822-address-perl,
         libmodule-find-perl,
         libmoose-perl,
         libnet-ip-perl,
         libnet-ldns-perl,
         libreadonly-perl,
         ${perl:Depends},
         ${misc:Depends}
Description: tool to check the quality of a DNS zone
 Zonemaster is a utility for DNS validation of the quality of a DNS
 delegation.
 .
 This package contains a Perl library (zonemaster-engine).

=== debian/watch ===
version=3
https://metacpan.org/release/Zonemaster   .*/Zonemaster-v?(\d[\d.-]*)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$

## libzonemaster-perl 4.6.1

=== debian/changelog ===
libzonemaster-perl (4.6.1-1) unstable; urgency=medium

  * Import upstream version 4.6.1.

 -- Étienne Mollier <emollier@debian.org>  Thu, 02 Feb 2023 22:59:47 +0100

libzonemaster-perl (4.6.0-1) unstable; urgency=medium

  * Import upstream version 4.6.0.
  * d/copyright: update to new upstream version.
  * 0001-Disable-broken-test-on-line-51-in-t-old-bugs.t.patch: removed.
  * 0002-fix-spelling-errors.patch: adjusted to new source layout.
  * 0003-disable-distcheck.patch: skip t/manifest.t due to packaging files.
  * d/control: declare compliance to standards version 4.6.2.
  * d/control: add missing test dependencies.
  * d/control: add missing dependencies to libzonemaster-perl.
  * d/control: add myself to uploaders.
  * Set Rules-Requires-Root: no.
  * d/t/p/syntax-skip: don't control several submodules.

 -- Étienne Mollier <emollier@debian.org>  Wed, 21 Dec 2022 23:32:20 +0100

libzonemaster-perl (1.0.16-3) unstable; urgency=medium

  [ gregor herrmann ]
  * Disable network tests during autopkgtests like during build.

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Nick Morrott ]
  * Update metacpan URL in watch file

  [ gregor herrmann ]
  * debian/copyright: replace tabs with spaces / remove trailing
    whitespace.
  * debian/watch: use uscan version 4.

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-
    Browse.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Remove constraints unnecessary since buster
    * Build-Depends-Indep: Drop versioned constraint on perl.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 28 Jun 2022 23:39:35 +0100

=== debian/control ===
Source: libzonemaster-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>,
           Étienne Mollier <emollier@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libmodule-install-perl
Build-Depends-Indep: libclass-accessor-perl <!nocheck>,
                     libclone-perl <!nocheck>,
                     libemail-valid-perl <!nocheck>,
                     libfile-sharedir-perl <!nocheck>,
                     libfile-slurp-perl,
                     libhash-merge-perl,
                     libintl-perl,
                     libio-socket-inet6-perl,
                     libjson-perl,
                     libjson-xs-perl,
                     liblist-moreutils-perl,
                     libmail-rfc822-address-perl,
                     libmodule-find-perl,
                     libmoose-perl,
                     libmoosex-singleton-perl <!nocheck>,
                     libnet-ip-perl,
                     libnet-ip-xs-perl <!nocheck>,
                     libnet-ldns-perl,
                     libpod-coverage-perl <!nocheck>,
                     libreadonly-perl,
                     libtest-differences-perl <!nocheck>,
                     libtest-exception-perl <!nocheck>,
                     libtest-fatal-perl,
                     libtest-nowarnings-perl <!nocheck>,
                     libtest-pod-perl <!nocheck>,
                     libtext-csv-perl <!nocheck>,
                     libzonemaster-ldns-perl (>= 3.0.0~) <!nocheck>,
                     perl
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libzonemaster-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libzonemaster-perl.git
Homepage: https://zonemaster.net/
Rules-Requires-Root: no

Package: libzonemaster-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libclass-accessor-perl,
         libclone-perl,
         libemail-valid-perl,
         libfile-sharedir-perl,
         libfile-slurp-perl,
         libhash-merge-perl,
         libintl-perl,
         libio-socket-inet6-perl,
         libjson-perl,
         liblist-moreutils-perl,
         libmail-rfc822-address-perl,
         libmodule-find-perl,
         libmoose-perl,
         libmoosex-singleton-perl,
         libnet-ip-perl,
         libnet-ip-xs-perl,
         libnet-ldns-perl,
         libreadonly-perl,
         libtext-csv-perl,
         libzonemaster-ldns-perl
Description: tool to check the quality of a DNS zone
 Zonemaster is a utility for DNS validation of the quality of a DNS
 delegation.
 .
 This package contains a Perl library (zonemaster-engine).

## libzonemaster-perl 4.6.2

=== debian/changelog ===
libzonemaster-perl (4.6.2-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 4.6.2.
  * Refresh 0002-fix-spelling-errors.patch (offset).
  * Update years of packaging copyright.
  * Drop unneeded version constraints from (build) dependencies.
  * Annotate test-only build dependencies with <!nocheck>.
  * Refresh debian/upstream/metadata. Thanks to lintian-brush.
  * Make .mo files writeable for dh_strip_nondeterminism.
  * Fix typo in a comment in debian/copyright. Thanks to lintian.

 -- gregor herrmann <gregoa@debian.org>  Sat, 04 Mar 2023 23:55:46 +0100

=== debian/control ===
--- 
+++ 
@@ -11,29 +11,29 @@
                      libclone-perl <!nocheck>,
                      libemail-valid-perl <!nocheck>,
                      libfile-sharedir-perl <!nocheck>,
-                     libfile-slurp-perl,
-                     libhash-merge-perl,
-                     libintl-perl,
-                     libio-socket-inet6-perl,
-                     libjson-perl,
-                     libjson-xs-perl,
-                     liblist-moreutils-perl,
-                     libmail-rfc822-address-perl,
-                     libmodule-find-perl,
-                     libmoose-perl,
+                     libfile-slurp-perl <!nocheck>,
+                     libhash-merge-perl <!nocheck>,
+                     libintl-perl <!nocheck>,
+                     libio-socket-inet6-perl <!nocheck>,
+                     libjson-perl <!nocheck>,
+                     libjson-xs-perl <!nocheck>,
+                     liblist-moreutils-perl <!nocheck>,
+                     libmail-rfc822-address-perl <!nocheck>,
+                     libmodule-find-perl <!nocheck>,
+                     libmoose-perl <!nocheck>,
                      libmoosex-singleton-perl <!nocheck>,
-                     libnet-ip-perl,
+                     libnet-ip-perl <!nocheck>,
                      libnet-ip-xs-perl <!nocheck>,
-                     libnet-ldns-perl,
+                     libnet-ldns-perl <!nocheck>,
                      libpod-coverage-perl <!nocheck>,
-                     libreadonly-perl,
+                     libreadonly-perl <!nocheck>,
                      libtest-differences-perl <!nocheck>,
                      libtest-exception-perl <!nocheck>,
-                     libtest-fatal-perl,
+                     libtest-fatal-perl <!nocheck>,
                      libtest-nowarnings-perl <!nocheck>,
                      libtest-pod-perl <!nocheck>,
                      libtext-csv-perl <!nocheck>,
-                     libzonemaster-ldns-perl (>= 3.0.0~) <!nocheck>,
+                     libzonemaster-ldns-perl <!nocheck>,
                      perl
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libzonemaster-perl

## libzonemaster-perl 4.7.2

=== debian/changelog ===
libzonemaster-perl (4.7.2-1) unstable; urgency=medium

  * Import upstream version 4.7.2.
  * d/lintian-overrides: hide warning caused by long url.

 -- Étienne Mollier <emollier@debian.org>  Sun, 13 Aug 2023 18:18:13 +0200

libzonemaster-perl (4.7.1-1) unstable; urgency=medium

  * Import upstream version 4.7.1.
  * d/copyright: update copyright year.
  * d/control: tests and package depend on liblog-any-perl.
  * d/control: tests and package depend on libyaml-libyaml-perl.
  * 0002-fix-spelling-errors.patch: refresh.

 -- Étienne Mollier <emollier@debian.org>  Thu, 27 Jul 2023 22:34:09 +0200

## libzonemaster-perl 4.7.3

=== debian/changelog ===
libzonemaster-perl (4.7.3-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 4.7.3.
  * Refresh 0002-fix-spelling-errors.patch (offset).

 -- gregor herrmann <gregoa@debian.org>  Sun, 01 Oct 2023 02:52:48 +0200

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
                      libjson-perl <!nocheck>,
                      libjson-xs-perl <!nocheck>,
                      liblist-moreutils-perl <!nocheck>,
+                     liblog-any-perl <!nocheck>,
                      libmail-rfc822-address-perl <!nocheck>,
                      libmodule-find-perl <!nocheck>,
                      libmoose-perl <!nocheck>,
@@ -33,6 +34,7 @@
                      libtest-nowarnings-perl <!nocheck>,
                      libtest-pod-perl <!nocheck>,
                      libtext-csv-perl <!nocheck>,
+                     libyaml-libyaml-perl <!nocheck>,
                      libzonemaster-ldns-perl <!nocheck>,
                      perl
 Standards-Version: 4.6.2
@@ -55,6 +57,7 @@
          libio-socket-inet6-perl,
          libjson-perl,
          liblist-moreutils-perl,
+         liblog-any-perl,
          libmail-rfc822-address-perl,
          libmodule-find-perl,
          libmoose-perl,
@@ -64,6 +67,7 @@
          libnet-ldns-perl,
          libreadonly-perl,
          libtext-csv-perl,
+         libyaml-libyaml-perl,
          libzonemaster-ldns-perl
 Description: tool to check the quality of a DNS zone
  Zonemaster is a utility for DNS validation of the quality of a DNS

## libzonemaster-perl 5.0.0

=== debian/changelog ===
libzonemaster-perl (5.0.0-1) unstable; urgency=medium

  * Import upstream version 5.0.0.
  * 0002-fix-spelling-errors.patch: refresh.
  * d/control: tests depend on libmail-spf-perl.
  * d/control: libzonemaster-perl dependes on libmail-spf-perl.
  * d/control: libzonemaster-perl depends on libdata-messagepack-perl.
  * d/control: libzonemaster-perl depends on libredis-perl.
  * d/control: declare compliance to standards version 4.7.0.
  * d/lintian-overrides: refresh groff messages.
  * 0004-fix-masked-variable.patch: new.
    Fix a warning caught by autopkgtest.

 -- Étienne Mollier <emollier@debian.org>  Mon, 22 Apr 2024 20:58:07 +0200

=== debian/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
                      liblist-moreutils-perl <!nocheck>,
                      liblog-any-perl <!nocheck>,
                      libmail-rfc822-address-perl <!nocheck>,
+                     libmail-spf-perl <!nocheck>,
                      libmodule-find-perl <!nocheck>,
                      libmoose-perl <!nocheck>,
                      libmoosex-singleton-perl <!nocheck>,
@@ -37,7 +38,7 @@
                      libyaml-libyaml-perl <!nocheck>,
                      libzonemaster-ldns-perl <!nocheck>,
                      perl
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libzonemaster-perl
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libzonemaster-perl.git
 Homepage: https://zonemaster.net/
@@ -49,6 +50,7 @@
          ${perl:Depends},
          libclass-accessor-perl,
          libclone-perl,
+         libdata-messagepack-perl,
          libemail-valid-perl,
          libfile-sharedir-perl,
          libfile-slurp-perl,
@@ -59,6 +61,7 @@
          liblist-moreutils-perl,
          liblog-any-perl,
          libmail-rfc822-address-perl,
+         libmail-spf-perl,
          libmodule-find-perl,
          libmoose-perl,
          libmoosex-singleton-perl,
@@ -66,6 +69,7 @@
          libnet-ip-xs-perl,
          libnet-ldns-perl,
          libreadonly-perl,
+         libredis-perl,
          libtext-csv-perl,
          libyaml-libyaml-perl,
          libzonemaster-ldns-perl

## libzonemaster-perl 6.0.0

=== debian/changelog ===
libzonemaster-perl (6.0.0-1) unstable; urgency=medium

  * Import upstream version 6.0.0.
  * 0002-fix-spelling-errors.patch: unfuzz.
  * 0004-fix-masked-variable.patch: simplify and refresh.
  * d/control: test suite depends on libsub-override-perl.
  * 0005-bareword-in-engine.patch: new: restore missing parenthesis.
  * d/lintian-overrides: make groff-message overrides more generic.
  * d/lintian-overrides: flag a possible false positive.

 -- Étienne Mollier <emollier@debian.org>  Thu, 08 Aug 2024 13:31:51 +0200

=== debian/control ===
--- 
+++ 
@@ -29,6 +29,7 @@
                      libnet-ldns-perl <!nocheck>,
                      libpod-coverage-perl <!nocheck>,
                      libreadonly-perl <!nocheck>,
+                     libsub-override-perl <!nocheck>,
                      libtest-differences-perl <!nocheck>,
                      libtest-exception-perl <!nocheck>,
                      libtest-fatal-perl <!nocheck>,

## libzonemaster-perl 7.0.0

=== debian/changelog ===
libzonemaster-perl (7.0.0-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 7.0.0.
  * Update test and runtime dependencies.
  * Drop 0002-fix-spelling-errors.patch, merged upstream.
  * Drop 0003-disable-distcheck.patch, the patched file is gone.
  * Drop 0004-fix-masked-variable.patch, fixed/not needed anymore.
  * Drop 0005-bareword-in-engine.patch, merged upstream.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Sun, 02 Feb 2025 04:06:35 +0100

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
                      libio-socket-inet6-perl <!nocheck>,
                      libjson-perl <!nocheck>,
                      libjson-xs-perl <!nocheck>,
+                     liblist-compare-perl <!nocheck>,
                      liblist-moreutils-perl <!nocheck>,
                      liblog-any-perl <!nocheck>,
                      libmail-rfc822-address-perl <!nocheck>,
@@ -37,7 +38,7 @@
                      libtest-pod-perl <!nocheck>,
                      libtext-csv-perl <!nocheck>,
                      libyaml-libyaml-perl <!nocheck>,
-                     libzonemaster-ldns-perl <!nocheck>,
+                     libzonemaster-ldns-perl (>= 4.1.0) <!nocheck>,
                      perl
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libzonemaster-perl
@@ -59,6 +60,7 @@
          libintl-perl,
          libio-socket-inet6-perl,
          libjson-perl,
+         liblist-compare-perl,
          liblist-moreutils-perl,
          liblog-any-perl,
          libmail-rfc822-address-perl,
@@ -73,7 +75,7 @@
          libredis-perl,
          libtext-csv-perl,
          libyaml-libyaml-perl,
-         libzonemaster-ldns-perl
+         libzonemaster-ldns-perl (>= 4.1.0)
 Description: tool to check the quality of a DNS zone
  Zonemaster is a utility for DNS validation of the quality of a DNS
  delegation.

## libzonemaster-perl 7.1.0

=== debian/changelog ===
libzonemaster-perl (7.1.0-1) unstable; urgency=medium

  * Import upstream version 7.1.0.
  * Declare compliance with Debian Policy 4.7.2.

 -- Étienne Mollier <emollier@debian.org>  Fri, 21 Mar 2025 18:14:14 +0100

=== debian/control ===
--- 
+++ 
@@ -40,7 +40,7 @@
                      libyaml-libyaml-perl <!nocheck>,
                      libzonemaster-ldns-perl (>= 4.1.0) <!nocheck>,
                      perl
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libzonemaster-perl
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libzonemaster-perl.git
 Homepage: https://zonemaster.net/

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = $(shell dh_listpackages)
TMP     = $(CURDIR)/debian/$(PACKAGE)

%:
	dh $@

override_dh_auto_test:
	TEST_NO_NETWORK=1 dh_auto_test

override_dh_strip_nondeterminism:
	# dh_strip_nondeterminism: warning: Ignoring unwritable file: Zonemaster-Engine.mo
	chmod +w $(TMP)/usr/share/perl5/auto/share/dist/Zonemaster-Engine/locale/*/LC_MESSAGES/Zonemaster-Engine.mo
	dh_strip_nondeterminism

=== debian/watch ===
version=4
https://metacpan.org/release/Zonemaster-Engine .*/Zonemaster-Engine-v?@ANY_VERSION@@ARCHIVE_EXT@$

## libzonemaster-perl 8.0.0

=== debian/changelog ===
libzonemaster-perl (8.0.0-1) unstable; urgency=medium

  * Import upstream version 8.0.0.
  * Remove «Rules-Requires-Root: no», which is the current default.
  * d/watch: convert to watch file version 5.

 -- Étienne Mollier <emollier@debian.org>  Tue, 21 Oct 2025 21:49:57 +0200

=== debian/control ===
Source: libzonemaster-perl
Standards-Version: 4.7.2
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders:
 Ondřej Surý <ondrej@debian.org>,
 Étienne Mollier <emollier@debian.org>,
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 libmodule-install-perl,
Build-Depends-Indep:
 libclass-accessor-perl <!nocheck>,
 libclone-perl <!nocheck>,
 libemail-valid-perl <!nocheck>,
 libfile-sharedir-perl <!nocheck>,
 libfile-slurp-perl <!nocheck>,
 libhash-merge-perl <!nocheck>,
 libintl-perl <!nocheck>,
 libio-socket-inet6-perl <!nocheck>,
 libjson-perl <!nocheck>,
 libjson-xs-perl <!nocheck>,
 liblist-compare-perl <!nocheck>,
 liblist-moreutils-perl <!nocheck>,
 liblog-any-perl <!nocheck>,
 libmail-rfc822-address-perl <!nocheck>,
 libmail-spf-perl <!nocheck>,
 libmodule-find-perl <!nocheck>,
 libmoose-perl <!nocheck>,
 libmoosex-singleton-perl <!nocheck>,
 libnet-ip-perl <!nocheck>,
 libnet-ip-xs-perl <!nocheck>,
 libnet-ldns-perl <!nocheck>,
 libpod-coverage-perl <!nocheck>,
 libreadonly-perl <!nocheck>,
 libsub-override-perl <!nocheck>,
 libtest-differences-perl <!nocheck>,
 libtest-exception-perl <!nocheck>,
 libtest-fatal-perl <!nocheck>,
 libtest-nowarnings-perl <!nocheck>,
 libtest-pod-perl <!nocheck>,
 libtext-csv-perl <!nocheck>,
 libyaml-libyaml-perl <!nocheck>,
 libzonemaster-ldns-perl (>= 4.1.0) <!nocheck>,
 perl,
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libzonemaster-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libzonemaster-perl.git
Homepage: https://zonemaster.net/

Package: libzonemaster-perl
Architecture: all
Depends:
 ${misc:Depends},
 ${perl:Depends},
 libclass-accessor-perl,
 libclone-perl,
 libdata-messagepack-perl,
 libemail-valid-perl,
 libfile-sharedir-perl,
 libfile-slurp-perl,
 libhash-merge-perl,
 libintl-perl,
 libio-socket-inet6-perl,
 libjson-perl,
 liblist-compare-perl,
 liblist-moreutils-perl,
 liblog-any-perl,
 libmail-rfc822-address-perl,
 libmail-spf-perl,
 libmodule-find-perl,
 libmoose-perl,
 libmoosex-singleton-perl,
 libnet-ip-perl,
 libnet-ip-xs-perl,
 libnet-ldns-perl,
 libreadonly-perl,
 libredis-perl,
 libtext-csv-perl,
 libyaml-libyaml-perl,
 libzonemaster-ldns-perl (>= 4.1.0),
Description: tool to check the quality of a DNS zone
 Zonemaster is a utility for DNS validation of the quality of a DNS
 delegation.
 .
 This package contains a Perl library (zonemaster-engine).

=== debian/watch ===
Version: 5

Source: https://metacpan.org/release/Zonemaster-Engine
Matching-Pattern: .*/Zonemaster-Engine-v?@ANY_VERSION@@ARCHIVE_EXT@$

## libzonemaster-perl 8.1.0

=== debian/changelog ===
libzonemaster-perl (8.1.0-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 8.1.0.
  * Bump versioned test and runtime dependencies on
    libzonemaster-ldns-perl.

 -- gregor herrmann <gregoa@debian.org>  Tue, 23 Dec 2025 02:00:20 +0100

=== debian/control ===
--- 
+++ 
@@ -42,7 +42,7 @@
  libtest-pod-perl <!nocheck>,
  libtext-csv-perl <!nocheck>,
  libyaml-libyaml-perl <!nocheck>,
- libzonemaster-ldns-perl (>= 4.1.0) <!nocheck>,
+ libzonemaster-ldns-perl (>= 5.0.1) <!nocheck>,
  perl,
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libzonemaster-perl
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libzonemaster-perl.git
@@ -78,7 +78,7 @@
  libredis-perl,
  libtext-csv-perl,
  libyaml-libyaml-perl,
- libzonemaster-ldns-perl (>= 4.1.0),
+ libzonemaster-ldns-perl (>= 5.0.1),
 Description: tool to check the quality of a DNS zone
  Zonemaster is a utility for DNS validation of the quality of a DNS
  delegation.
